qpid::InlineVector Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
qpid::InlineVector Class Reference

A vector that stores up to Max elements in inline storage, otherwise uses normal vector allocation. More...

`#include <qpid/InlineVector.h>`

List of all members.

## Public Types
typedef Base::allocator_type | allocator_type
typedef Base::value_type | value_type
typedef Base::size_type | size_type
## Public Member Functions
| InlineVector (const allocator_type &a=allocator_type())
| InlineVector (size_type n, const value_type &x=value_type(), const allocator_type &a=allocator_type())
| InlineVector (const InlineVector &x)

## Detailed Description

A vector that stores up to Max elements in inline storage, otherwise uses normal vector allocation.

NOTE: depends on some non-standard but highly probably assumptions about how std::vector uses its allocator, they are true for g++.

- default constructor does not allocate.
- reserve(N) does not allocate more than N elements.
- vector never re-allocates when size() < capacity()

## Member Typedef Documentation

typedef Base::allocator_type qpid::InlineVector::allocator_type

Definition at line 45 of file InlineVector.h.

typedef Base::size_type qpid::InlineVector::size_type

Definition at line 47 of file InlineVector.h.

typedef Base::value_type qpid::InlineVector::value_type

Definition at line 46 of file InlineVector.h.

## Constructor & Destructor Documentation

qpid::InlineVector::InlineVector | ( | const allocator_type & | a = `allocator_type()` | ) | `[inline, explicit]`

Definition at line 49 of file InlineVector.h.

qpid::InlineVector::InlineVector | ( | size_type | n,
|  | const value_type & | x = `value_type()`,
|  | const allocator_type & | a = `allocator_type()`
| ) |  | `[inline, explicit]`

Definition at line 53 of file InlineVector.h.

qpid::InlineVector::InlineVector | ( | const InlineVector & | x | ) | `[inline]`

Definition at line 60 of file InlineVector.h.

The documentation for this class was generated from the following file:

- qpid/InlineVector.h